# Interface UnderlyingSource<R>

interface UnderlyingSource<R> {
cancel?: UnderlyingSourceCancelCallback;
pull?: UnderlyingSourcePullCallback<R>;
start?: UnderlyingSourceStartCallback<R>;
type?: undefined;
}

#### Type Parameters

- R = any

- Defined in node_modules/@types/node/stream/web.d.ts:129

#####
Index

### Properties

cancel?
pull?
start?
type?

## Properties

### `Optional` cancel

cancel?: UnderlyingSourceCancelCallback

- Defined in node_modules/@types/node/stream/web.d.ts:130

### `Optional` pull

pull?: UnderlyingSourcePullCallback<R>

- Defined in node_modules/@types/node/stream/web.d.ts:131

### `Optional` start

start?: UnderlyingSourceStartCallback<R>

- Defined in node_modules/@types/node/stream/web.d.ts:132

### `Optional` type

type?: undefined

- Defined in node_modules/@types/node/stream/web.d.ts:133